
CoCoALib - Feature #625

NumTheory: sieve of Eratosthenes

15 Sep 2014 23:19 - John Abbott

Status: Closed Start date: 15 Sep 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 2.00 hours

Target version: CoCoALib-0.99536 June 2015 Spent time: 2.35 hours

Description

In an example I needed a table like the Sieve of Eratosthenes.  So I've implemented it, and added it to CoCoALib.

Fairly simple; tolerably quick.

History

#1 - 15 Sep 2014 23:20 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

Implemented, and added some doc.

Still need to do: maintainer doc, test, example.

#2 - 15 Sep 2014 23:59 - John Abbott

Added maintainer doc, test (seems its was needed), and example (a bit difficult).

#3 - 16 Sep 2014 13:26 - John Abbott

- Estimated time changed from 1.00 h to 2.00 h

I have now checked in the code.

#4 - 10 May 2015 16:03 - John Abbott

- Target version changed from CoCoALib-0.99535 Sep14 to CoCoALib-0.99536 June 2015

Can we close this?

#5 - 10 May 2015 20:02 - John Abbott

Currently the function is called eratosthenes; is there a better name?

The doc needs slight clarification eratosthenes(n) creates a vector<bool>; what is the largest index which may be used with the result?

#6 - 11 May 2015 16:05 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Anna says OK for the name -- hard to find a shorter name which is clearer.

I have clarified the manual.
Closing.
